Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.plaf.mappings
Class RefResolver

    java.lang.Object
      org.flexdock.plaf.mappings.RefResolver

Direct Known Subclasses:
  SkinLFResolver

    public class RefResolver

extends Object

Author:
  Christopher Butler

Constructor Summary
`RefResolver()`

Method Summary
`String` | `getDefaultRef()`
`String` | `getRef(String plaf)`
`void` | `setDefaultRef(String ref)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RefResolver

    public RefResolver()

Method Detail

### setDefaultRef

    public void setDefaultRef(String ref)

### getDefaultRef

    public String getDefaultRef()

### getRef

    public String getRef(String plaf)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD